<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="WebViewer的工具栏添加和隐藏.WebForm1" %>

<%@ Register assembly="GrapeCity.ActiveReports.Web.v12, Version=12.1.12841.2, Culture=neutral, PublicKeyToken=cc4967777c49a3ff" namespace="GrapeCity.ActiveReports.Web" tagprefix="ActiveReportsWeb" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title></title>
</head>
   <script language="javascript" type="text/javascript" src="https://code.jquery.com/jquery-2.2.4.min.js"></script>
   <script type="text/javascript">
        $(document).ready(function () {
            var toolbar = $('#WebViewer1').find('.arvToolBar');  //WV_Delivery为WebViewer的ID
            toolbar.find('.btnToggleSidebar').remove();
            toolbar.find('.btnFirst').remove();   //隐藏第一页按钮
            toolbar.find('.btnPrev').remove();  //隐藏上页按钮
            toolbar.find('.btnNext').remove();
            toolbar.find('.toolbarLabel').remove();
            toolbar.find('.toolbarInput').remove();
            toolbar.find('.btnLast').remove();           
            toolbar.find('.btnBack').remove();
            toolbar.find('.btnGalley').remove();        
            $("div.viewer-layout-toolbar-panel").css("border", "0px");
            $("div.viewer-layout-main-panel").css("border", "0px");
            $("div.viewer-layout-siderbar-panel").css("border", "0px");
       })
</script>
<body>
    <form id="form1" runat="server">
        <div>
            <ActiveReportsWeb:WebViewer ID="WebViewer1" runat="server" height="800" width="100%">
            </ActiveReportsWeb:WebViewer>
        </div>
    </form>
</body>
</html>
